%define name smeserver-gitweb
%define version 1.0.0
%define release 22
Summary: GitWeb is a web based Git repository viewer on SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: http://www.through-ip.com
Group: SMEserver/addon
Source: smeserver-gitweb-%{version}.tar.gz
Patch1: smeserver-gitweb-1.1.0-remove_unused_linefeed_from_auth_error.patch
Patch2: smeserver-gitweb-1.1.0-remove_runtime_access_to_networks_db.patch
Patch3: smeserver-gitweb-1.1.0-runtime_search_for_pwauth.patch
Patch4: smeserver-gitweb-1.0.0-defineURI.patch
Patch5: smeserver-gitweb-1.0.0-fix_remote_auth.patch
Patch6: smeserver-gitweb-1.0.0-checktrusted_networks.patch
Patch7: smeserver-gitweb-1.0.0-fix_group_check.patch
Packager: Marco Hess <marco.hess@through-ip.com>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: smeserver-git
Requires: gitweb
Requires: highlight
AutoReqProv: no

%description
HTTP access to https://git.host.com provides a gitweb view of the repositories.

%changelog
* Fri Jun 24 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-22.sme
- fix one more linefeed [SME: 9217]

* Wed Jun 22 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-20.sme
- port to SME8 SME9 fixes
- fix 500 error after auth on remote access  [SME: 9614]
- check all trusted networks [SME: 9578]
- fix git db readable by everybody [SME: 9615]

* Sat Jun 11 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-19.sme
- fix auth from remote IP [SME: 9202]
- revert and improved URI patch for SME8 path

* Fri Jun 10 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-18.sme
- revert unecessary previous  patch

* Fri Jun 10 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-17.sme
-  fix short url to repo not working  [SME: 9202]

* Thu Feb 18 2016 Marco Hess <marco.hess@through-ip.com> 1.0.0-16
- backport SME9 changes [SME: 9217]
- Removed chmod 644 /home/e-smith/db/networks from spec file as
  it is no longer required for gitweb.conf
- Changed the trypass function in 60ExportAuthHook to dynamically
  check for the location of pwauth so this becomes universal for
  SME8 and SME9.
- Remove runtime access to NetworkDB [SME: 9217]
- Some trailing whitespace cleanup

* Tue Feb 2 2015 Marco Hess <marco.hess@through-ip.com> 1.0.0-15
- pwauth is in /usr/lib/httpd/modules/pwauth for this SME.

* Tue Feb 2 2015 Marco Hess <marco.hess@through-ip.com> 1.0.0-14
- Fixed test in user authorisation check for perl 5.8.

* Tue Feb 2 2015 Marco Hess <marco.hess@through-ip.com> 1.0.0-13
- Backport changes from 1.1.
- Fixed user authorisation for repositories viewable from internet

* Fri Jan 24 2014 Marco Hess <marco.hess@through-ip.com> 1.0.0-12
- Added support for displaying a clone URL.

* Mon Jul 23 2012 Marco Hess <marco.hess@through-ip.com> 1.0.0-3
- Setup default config parameters for gitweb as a service
- Removed HTTP template as this is shared with smeserver-git
- Added require on gitweb rpm

* Sun Jun 17 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-2
- Remove all smeserver-git related files in order to split the packages

* Sun Apr 29 2012 Marco Hess <marco.hess@through-ip.com> 1.0.0-1
- initial release

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Expanding gitweb.conf template ..."
/sbin/e-smith/expand-template /etc/gitweb.conf
echo "Expanding GitWeb home page text template ..."
/sbin/e-smith/expand-template /etc/e-smith/web/common/gitweb/home_text.html
echo "Expanding web server template ..."
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sighup

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
